{
inputs.nixpkgs.url = "flake:nixpkgs";
#inputs.nixpkgs.url = "github:NixOS/nixpkgs";
inputs.flake-utils.url = "github:numtide/flake-utils";
inputs.symantic-base.url = "git://git.sourcephile.fr/haskell/symantic-base";
inputs.symantic-base.inputs.nixpkgs.follows = "nixpkgs";
outputs = inputs:
  inputs.flake-utils.lib.eachDefaultSystem (system: let
    pkgs = inputs.nixpkgs.legacyPackages.${system};
    in {
      defaultPackage = import ./default.nix { inherit inputs pkgs; };
      devShell = (import ./default.nix { inherit inputs pkgs; }).shell;
    }
  );
}
